open-vm-tools 10.0.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RpcChannelCallback Struct Reference
GuestRPC functions

`#include <guestrpc.h>`

## Data Fields
const char * | name
RpcIn_Callback | callback
gpointer | clientData
gpointer | xdrIn
gpointer | xdrOut
size_t | xdrInSize

## Detailed Description

Defines the registration data for a GuestRPC application.

## Field Documentation

RpcIn_Callback RpcChannelCallback::callback

Function to call when data arrives.

gpointer RpcChannelCallback::clientData

Data to provide to callback function.

const char* RpcChannelCallback::name

String identifying the RPC message.

gpointer RpcChannelCallback::xdrIn

If not NULL, the input data will be deserialized using this function.

size_t RpcChannelCallback::xdrInSize

If xdrIn is not NULL, this should be the amount of memory to allocate for deserializing the input data.

gpointer RpcChannelCallback::xdrOut

If not NULL, the output data will be serialized using this function. The output data should be stored in the result field of the RpcInData structure, and should have been allocated with glib's g_malloc() if freeResult is TRUE.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/guestrpc.h